#
# spec file for package perl-Alien-Libxml2
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Alien-Libxml2
Name:           perl-Alien-Libxml2
Version:        0.19
Release:        1.9
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Install the C libxml2 library on your system
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Alien::Base) >= 2.37
BuildRequires:  perl(Alien::Build) >= 2.37
BuildRequires:  perl(Alien::Build::MM) >= 2.37
BuildRequires:  perl(Alien::Build::Plugin::Build::SearchDep) >= 0.35
BuildRequires:  perl(Alien::Build::Plugin::Download::GitLab)
BuildRequires:  perl(Alien::Build::Plugin::Prefer::BadVersion) >= 1.05
BuildRequires:  perl(Alien::Build::Plugin::Probe::Vcpkg)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.52
BuildRequires:  perl(Test2::V0) >= 0.000121
BuildRequires:  perl(Test::Alien)
Requires:       perl(Alien::Base) >= 2.37
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  pkgconfig(libxml-2.0) >= 2.9.0
BuildRequires:  perl-URI
BuildRequires:  perl(Mojo::DOM58)
BuildRequires:  perl(Sort::Versions)
# MANUAL END

%description
This module provides 'libxml2' for other modules to use.

%prep
%autosetup  -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc alienfile author.yml Changes README
%license LICENSE

%changelog
* Mon Sep 26 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.19
  see /usr/share/doc/packages/perl-Alien-Libxml2/Changes
  0.19      2022-09-25 08:54:48 -0600
  0.18_01   2022-09-23 21:05:53 -0600
  - Use Download::GitLab plugin to fetch recent version of
    libxml2
* Tue Nov  3 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.17
  see /usr/share/doc/packages/perl-Alien-Libxml2/Changes
  0.17      2020-11-02 12:03:28 -0700
  - Bump required version of AB for bug fixes (gh#23, gh#24)
* Thu Apr 23 2020 <timueller+perl@suse.de>
- updated to 0.16
  see /usr/share/doc/packages/perl-Alien-Libxml2/Changes
  0.16      2020-04-22 03:50:16 -0600
  - Fix mixed probe on macOS (gh#20)
* Fri Mar 20 2020 <timueller+perl@suse.de>
- updated to 0.15
  see /usr/share/doc/packages/perl-Alien-Libxml2/Changes
  0.15      2020-03-18 23:16:56 -0600
  - Updated documentation to use Alien::Base::Wrapper
  - Updated documentation refrences to Alien::LibXML (gh#18, gh#19)
* Tue Mar 10 2020 <timueller+perl@suse.de>
- updated to 0.14
  see /usr/share/doc/packages/perl-Alien-Libxml2/Changes
  0.14      2020-03-09 10:59:12 -0600
  - Support for Visual C++ Perl + Vcpkg system install (gh#17)
* Sat Dec 14 2019 <timueller+perl@suse.de>
- updated to 0.12
  see /usr/share/doc/packages/perl-Alien-Libxml2/Changes
  0.12      2019-12-13 17:35:02 -0700
  - Support for Visual C++ Perl (gh#14)
* Mon Nov 18 2019 Pedro Monreal Gonzalez <pmonrealgonzalez@suse.com>
- Initial packaging
  0.11      2019-10-28 09:54:24 -0600
  - Production release identical to 0.11.
  0.10_01   2019-07-05 09:36:21 -0400
  - Prefer xml2-config over pkg-config (gh#11, gh#12)
  0.09      2019-05-14 06:57:21 -0600
  - Production release identical to 0.08_01.
  0.08_01   2019-05-13 22:10:45 -0600
  - Fix bug in xml2-config logic
  0.07      2019-03-27 11:37:47 -0400
  - Add ability to find libxml2 via pkg-config (requires Alien::Build
    1.61 or better).  Previous methods for finding libxml2 like
    xml2-config or if -lxml2 happens to work will still work (gh#6).
  0.06      2019-03-19 22:54:55 -0400
  - Fixes for Windows (gh#2, gh#3)
  0.05      2019-03-03 14:36:02 -0500
  - Use http instead of ftp to fetch libxml2 sources.
  0.04_01   2018-07-10 14:15:41 -0400
  - Fixed the blacklist of bad versions of libxml2.  It is based
    on the list of versions rejected by XML-LibXML.
  - As with XML-LibXML, you can force Alien-Libxml2 to install by
    setting the environment variable FORCE to a true value.
  0.03      2017-09-22 06:46:14 -0400
  - Look for libxml2 in some standard places.
    OS X, for example provides a libxml2, but (unhelpfully) does not
    provide the .pc file to go along with it.
  - Do not accept same bad versions refused by XML::LibXML
    on share install
  0.02      2017-08-08 15:17:54 -0400
  - Require Alien::Build 0.73 for bug fixes
    related to parallel builds
  0.01      2017-03-30 18:05:22 -0400
  - initial version
